## Class Structures_Graph_Manipulator_TopologicalSorter

Description

The Structures_Graph_Manipulator_TopologicalSorter is a manipulator which is able to return the set of nodes in a graph, sorted by topological order.

A graph may only be sorted topologically iff it's a DAG. You can test it with the Structures_Graph_Manipulator_AcyclicTest.

- see: Structures_Graph_Manipulator_AcyclicTest
- copyright: (c) 2004 by Sérgio Carvalho
- author: Sérgio Carvalho <mailto:sergio.carvalho@portugalmail.com>

Located in /Structures/Graph/Manipulator/TopologicalSorter.php (line 58)

Method Summary
array sort (mixed &$graph)
Methods
sort (line 133)

sort returns the graph's nodes, sorted by topological order.

The result is an array with as many entries as topological levels. Each entry in this array is an array of nodes within the given topological level.

- return: The graph's nodes, sorted by topological order.
- access: public

array sort (mixed &$graph)

Documentation generated on Fri, 30 Jan 2004 16:37:29 +0000 by phpDocumentor 1.2.3